Bug 250251 - Missing BuildReq: autoconf in spec file
Summary: Missing BuildReq: autoconf in spec file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-31 12:57 UTC by Matt Hyclak
Modified: 2008-07-24 19:32 UTC (History)
0 users

Fixed In Version: RHBA-2008-0669
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:32:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes spec file (363 bytes, patch)
2007-07-31 12:57 UTC, Matt Hyclak
no flags Details | Diff
Build log showing failed cups build without automake package installed (7.75 KB, text/plain)
2007-07-31 13:30 UTC, Matt Hyclak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0669 normal SHIPPED_LIVE cups bug fix and enhancement update 2008-07-23 15:02:47 UTC

Description Matt Hyclak 2007-07-31 12:57:41 UTC
Description of problem:
Missing BuildReq: automake in spec file

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to rebuild the SRPM on a clean system (e.g. mock)
2. 
3.
  
Actual results:
Fails to build 

Expected results:
Builds

Additional info:
Attached patch fixes this

Comment 1 Matt Hyclak 2007-07-31 12:57:41 UTC
Created attachment 160314 [details]
Fixes spec file

Comment 2 Tim Waugh 2007-07-31 13:21:01 UTC
Does CUPS really use automake?  Please attach a failed build log showing the error.

Comment 3 Matt Hyclak 2007-07-31 13:30:34 UTC
Created attachment 160318 [details]
Build log showing failed cups build without automake package installed

Comment 4 Matt Hyclak 2007-07-31 13:31:12 UTC
Line 172 of the spec file calls aclocal, which is in the automake package

Comment 5 Tim Waugh 2007-07-31 13:49:53 UTC
Ah, I see.  The correct fix is to remove that line.  It was added in error in 2004.

Comment 7 Matt Hyclak 2007-11-08 15:13:03 UTC
It seems autoconf is needed, otherwise compilation fails with the following error:

Making all in cups...
make[1]: Entering directory `/builddir/build/BUILD/cups-1.1.22rc1/cups'
echo Compiling attr.c...
Compiling attr.c...
gcc -fPIC -O2 -g -pipe -m32 -march=i386 -mtune=pentium4 -I/usr/kerberos/include 
    -DOPENSSL_DISABLE_OLD_DES_SUPPORT -I/usr/kerberos/include   -I/usr/kerberos/
include   -I.. @LARGEFILE@  -fpic -c attr.c
gcc: @LARGEFILE@: No such file or directory
In file included from attr.c:38:
/usr/include/stdlib.h:209: error: syntax error before '(' token
/usr/include/stdlib.h:209: error: conflicting types for 'strtol'
/usr/include/stdlib.h:185: error: previous declaration of 'strtol' was here
/usr/include/stdlib.h:209: error: conflicting types for 'strtol'
/usr/include/stdlib.h:185: error: previous declaration of 'strtol' was here
/usr/include/stdlib.h:209: error: syntax error before "char"
/usr/include/stdlib.h:332: error: conflicting types for 'strtol'
/usr/include/stdlib.h:209: error: previous declaration of 'strtol' was here
/usr/include/stdlib.h:332: error: conflicting types for 'strtol'
/usr/include/stdlib.h:209: error: previous declaration of 'strtol' was here
/usr/include/stdlib.h:376: error: syntax error before '(' token
/usr/include/stdlib.h:376: error: conflicting types for 'strtol'
/usr/include/stdlib.h:332: error: previous definition of 'strtol' was here
/usr/include/stdlib.h:376: error: conflicting types for 'strtol'
/usr/include/stdlib.h:332: error: previous definition of 'strtol' was here
/usr/include/stdlib.h:376: error: syntax error before "char"
make[1]: *** [attr.o] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/cups-1.1.22rc1/cups'
make: *** [all] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.32492 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.32492 (%build)


It seems that @LARGEFILE@ needs to be replaced somewhere and isn't.

So, I've updated the summary to reflect that autoconf needs to be included in
BuildReq in order for cups to build cleanly in a clean environment like mock.

Comment 8 RHEL Product and Program Management 2007-11-29 04:17:01 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 14 errata-xmlrpc 2008-07-24 19:32:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0669.html


Note You need to log in before you can comment on or make changes to this bug.